Loading...
Searching...
No Matches
XrdCephOssFile.cc File Reference
`#include <sys/types.h>`
`#include <unistd.h>`
`#include "XrdCeph/XrdCephPosix.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdOuc/XrdOucTrace.hh"`
`#include "XrdSfs/XrdSfsAio.hh"`
`#include "XrdCeph/XrdCephOssFile.hh"`
`#include "XrdCeph/XrdCephOss.hh"`
Include dependency graph for XrdCephOssFile.cc:

Go to the source code of this file.

## Functions

static void | aioReadCallback (XrdSfsAio *aiop, size_t rc)
static void | aioWriteCallback (XrdSfsAio *aiop, size_t rc)

## Variables

XrdSysError | XrdCephEroute

## Function Documentation

## aioReadCallback()

void aioReadCallback | ( | XrdSfsAio * | aiop,
|  | size_t | rc )

static

Definition at line 80 of file XrdCephOssFile.cc.

{
aiop->Result = rc;
aiop->doneRead();
}
XrdSfsAio::Result
ssize_t Result
Definition XrdSfsAio.hh:65
XrdSfsAio::doneRead
virtual void doneRead()=0

References XrdSfsAio::doneRead(), and XrdSfsAio::Result.

Referenced by XrdCephOssFile::Read(), and XrdCephBuffer::CephIOAdapterAIORaw::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## aioWriteCallback()

void aioWriteCallback | ( | XrdSfsAio * | aiop,
|  | size_t | rc )

static

Definition at line 121 of file XrdCephOssFile.cc.

{
aiop->Result = rc;
aiop->doneWrite();
}
XrdSfsAio::doneWrite
virtual void doneWrite()=0

References XrdSfsAio::doneWrite(), and XrdSfsAio::Result.

Referenced by XrdCephOssFile::Write(), and XrdCephBuffer::CephIOAdapterAIORaw::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## XrdCephEroute

XrdSysError XrdCephEroute

extern